<div
  class="preprocessing-job-container clickable"
  [appCopyToClipboard]="job"
  [matTooltip]="job | jobToString"
  [ngClass]="{'single-selected-option': selected}"
  (click)="jobSelected.emit(job.id)">
  <mat-radio-button
    class="preprocessing-job-item"
    color="primary"
    disabled
    [checked]="selected"
    [value]="job.id">
  </mat-radio-button>
  <b class="preprocessing-job-item text-clamp">
    {{job.created_at | dateCorrection | date: 'medium'}}
  </b>
  <app-job-status
    class="preprocessing-job-item"
    [jobStatus]="job.status"
    [jobInputStatus]="job.input_validation_status"
    [jobOutputStatus]="job.output_validation_status">
  </app-job-status>
</div>
